1. Embeddings
Sionic Opengateway
  • Default module
    • Overview
      • Getting Started With OpenGateway
      • Model Compatible
    • Apis
      • /chat/completions
      • /v1/chat/completions
  • og-onprem
    • Chat Completions
      • Create chat completion
    • Responses
      • Create a model response
    • Messages
      • Create a message (Anthropic Messages format)
    • Embeddings
      • Create embeddings
        POST
    • Images
      • Create image
      • Edit image
    • Models
      • List models
    • Schemas
      • ModelId
      • DebugCategory
      • FallbackModels
      • DebugCategories
      • Extra
      • Debug
      • OpenAIError
      • OpenAIErrorResponse
      • AnthropicErrorResponse
      • CacheControl
      • ChatContentPart
      • ChatTextPart
      • ChatImagePart
      • ToolCall
      • ChatMessage
      • FunctionDefinition
      • ChatTool
      • ToolChoice
      • ChatCompletionRequest
      • ChatCompletionUsage
      • LogprobToken
      • ChatCompletion
      • ChatCompletionChunk
      • ResponsesInputItem
      • ResponsesMessageItem
      • ResponsesFunctionCallItem
      • ResponsesFunctionCallOutputItem
      • ResponsesTool
      • ResponsesRequest
      • ResponseObject
      • MessagesRequest
      • AnthropicMessage
      • EmbeddingsRequest
      • EmbeddingsResponse
      • ImageGenerationRequest
      • ImageEditRequest
      • ImagesResponse
      • ModelStatus
      • CatalogEndpoint
      • Model
      • ModelList
  1. Embeddings

Create embeddings

POST
/embeddings
Creates embedding vectors for the input text using an OpenAI-compatible request and response
format. For asymmetric models (for example sionic-ai/comsat-embed-ko-8b-preview) embed
documents as-is and set extra.input_type to query for search queries.

Request

Header Params

Body Params application/jsonRequired

Examples
{
    "model": "sionic-ai/comsat-embed-ko-8b-preview",
    "input": "Seoul is the capital of South Korea."
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location '/embeddings' \
--header 'x-opengateway-user-id;' \
--header 'x-opengateway-session-id;' \
--header 'x-sionic-task-id;' \
--header 'Content-Type: application/json' \
--data '{
    "model": "sionic-ai/comsat-embed-ko-8b-preview",
    "input": "Seoul is the capital of South Korea."
}'

Responses

🟢200OK
application/json
OpenAI-compatible embeddings response.
Bodyapplication/json

Example
{
    "object": "list",
    "data": [
        {
            "object": "embedding",
            "index": 0,
            "embedding": [
                0.0388,
                0.0105,
                -0.003
            ]
        }
    ],
    "model": "sionic-ai/comsat-embed-ko-8b-preview",
    "usage": {
        "prompt_tokens": 7,
        "total_tokens": 7
    }
}
🟠400Bad Request
🟠401Unauthorized
🟠402
🟠429
🔴500Server Error
🔴503Service Unavailable
Modified at 2026-10-27 15:03:30
Previous
Create a message (Anthropic Messages format)
Next
Create image
Built with